package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcTrain;

/**
 * 培训记录Mapper接口
 * 
 * @author cmc
 * @date 2024-09-25
 */
public interface CmcTrainMapper 
{
    /**
     * 查询培训记录
     * 
     * @param trainId 培训记录主键
     * @return 培训记录
     */
    public CmcTrain selectCmcTrainByTrainId(Integer trainId);

    /**
     * 查询培训记录列表
     * 
     * @param cmcTrain 培训记录
     * @return 培训记录集合
     */
    public List<CmcTrain> selectCmcTrainList(CmcTrain cmcTrain);

    /**
     * 新增培训记录
     * 
     * @param cmcTrain 培训记录
     * @return 结果
     */
    public int insertCmcTrain(CmcTrain cmcTrain);

    /**
     * 修改培训记录
     * 
     * @param cmcTrain 培训记录
     * @return 结果
     */
    public int updateCmcTrain(CmcTrain cmcTrain);

    /**
     * 删除培训记录
     * 
     * @param trainId 培训记录主键
     * @return 结果
     */
    public int deleteCmcTrainByTrainId(Integer trainId);

    /**
     * 批量删除培训记录
     * 
     * @param trainIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcTrainByTrainIds(Integer[] trainIds);
}
